Bug 13407 - NetSessEnum returning stale sessions
NetSessEnum returning stale sessions
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: DCE-RPCs and pipes
4.8.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-24 21:47 UTC by Christof Schmitt
Modified: 2018-05-09 07:52 UTC (History)
2 users (show)

See Also:


Attachments
git-am fix for 4.8.next. Cherry-picked from master. (5.96 KB, patch)
2018-04-26 23:31 UTC, Jeremy Allison
cs: review+
Details
git-am fix for 4.7.next. (5.88 KB, patch)
2018-04-26 23:32 UTC, Jeremy Allison
cs: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christof Schmitt 2018-04-24 21:47:41 UTC
After a smbd crash, the session remains in the smbXsrv_session_global.tdb
database. NetSessEnum also returns these sessions that are no longer
valid.
Comment 1 Jeremy Allison 2018-04-26 23:31:43 UTC
Created attachment 14163 [details]
git-am fix for 4.8.next. Cherry-picked from master.
Comment 2 Jeremy Allison 2018-04-26 23:32:46 UTC
Created attachment 14164 [details]
git-am fix for 4.7.next.

Back-ported from master.
Comment 3 Christof Schmitt 2018-04-27 15:42:49 UTC
Reassigning to Karolin.
Comment 4 Karolin Seeger 2018-05-07 07:49:54 UTC
Pushed to autobuild-v4-[7,8]-test.
Comment 5 Karolin Seeger 2018-05-09 07:52:19 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!